Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232394 - Review Request: pdfedit - A complete pdf document editing solution
Summary: Review Request: pdfedit - A complete pdf document editing solution
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 07:05 UTC by Bernard Johnson
Modified: 2010-07-02 17:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-19 16:23:34 UTC
wolfy: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Bernard Johnson 2007-03-15 07:05:05 UTC
Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/pdfedit.spec
SRPM URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/pdfedit-0.2.5-1.fc6.src.rpm
Description: 
Free pdf editing using PdfEdit. Complete editing of pdf documents is made
possible with PDFedit. You can change either raw pdf objects (for advanced
users) or use predefined gui functions. Functions can be easily added as
everything is based on a script.

Comment 1 manuel wolfshant 2007-03-15 08:20:18 UTC
According to
http://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets?highlight=%28install%29%7C%28icons%29#head-7ffd8ce2de15fe69c6de937ac04b2b65e80187a1
it would be wise to add a couple of lines in %post

Comment 2 manuel wolfshant 2007-03-15 10:03:03 UTC
GOOD

- rpmlint does not return anything either on source or on binary rpm
- package meets naming guidelines
- package meets packaging guidelines
- license ( GPL ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream, is latest version, sha1sum
f011d456d5ccbf2b644338ba6ada2294fcca5606 pdfedit-0.2.5.tar.bz2
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- locales are treated by the app itself, no presence of %{_datadir}/locale/*  in
the spec
- not relocatable
- owns all files and directories that it creates, does not take ownership of
foreign files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs [*]
- nothing in %doc affects runtime
- app is a GUI, desktop file correctly provided and used
- no .la./.pc/static files

SHOULD
- package builds in mock / devel & fc6/ x86_64
- program can be used (does not crash, loads a pdf ..)


Bernard, please include the missing scriptlets (see comment #1) and the missing
doc folder (or justify why it would not be needed) and I will approve the package.


[*] please consider shipping the content of the /doc directory

Comment 3 Bernard Johnson 2007-03-15 22:09:12 UTC
(In reply to comment #2)
> Bernard, please include the missing scriptlets (see comment #1) and the missing
> doc folder (or justify why it would not be needed) and I will approve the package.

I've included the user html docs generated by doxygen.  The programmer docs and
design docs I did not include.

Also fixed the scriptlets.

Spec URL: http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/pdfedit.spec
SRPM URL:
http://www.symetrix.com/~bjohnson/projects/Fedora-Extras/pdfedit-0.2.5-2.fc6.src.rpm

* Thu Mar 15 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.2.5-2
- add scriptlets to update icon cache
- add doxygen user docs


Comment 4 manuel wolfshant 2007-03-16 09:43:49 UTC
All reported issued seem fixed, no new ones added, package is APPROVED

Comment 5 Bernard Johnson 2007-03-16 15:20:38 UTC
New Package CVS Request
=======================
Package Name: pdfedit
Short Description: A complete pdf document editing solution
Owners: bjohnson@symetrix.com
Branches: FC-6
InitialCC: 

Comment 6 Orion Poplawski 2010-07-02 17:35:47 UTC
Package Change Request
======================
Package Name: pdfedit
New Branches: EL-5 EL-6
Owners: orion tremble

Comment 7 Jason Tibbitts 2010-07-02 17:59:00 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.